Query all local shipping information
GET https://{handle}.myshopline.com/admin/openapi/v20261201/local_delivery/list.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Get all local delivery info
Query Parameters
- language stringLanguageExample:
Zh-hans-cn
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
local_delivery_listobject[]
Local shipping listlocal_deliveryobject
Local shipping configurationcreate_at stringCreation timeExample:2019-12-18T06:06:24.942Zlocal_delivery_seq stringLocal configuration idExample:LD5505526999799042803location_seq stringAddress codeExample:5431421851439468254plansobject[]
Regional planstore_id stringstore IDExample:1635143945022zips arrayPostal codeExample:["34244,23443,4324"]description stringLocal shipping descriptionExample:The south district will be delivered within an hourintervalsobject[]
Conditions zonesorder_amount_to longThe order amount is end range , the unit is divided , such as $ 100 , and the return is 10000delivery_amount longThe shipping amount , the unit is divided , such as $ 100 , the return is 10000order_amount_from longThe order amount starts in the range , the unit is divided , such as $ 100 , and the return is 10000local_delivery_plan_seq stringLocal delivery program plan idExample:LDP5656698158002475446local_delivery_seq stringLocal shipping configuration idExample:LD5505526999799042803name stringNameExample:South districtstore_id stringstore IDExample:1635143945022support booleanSupport local delivery , true or not /falsetype integerLocal delivery type , 1- zip codeupdate_at stringUpdate timeExample:2019-12-18T06:06:24.942Zlocation_addressobject
Address informationprovince_code stringProvince codeExample:440000district stringDistrictExample:Upper-classaddress1 stringDetailed addressExample:93 yuangang road in the open city of the ihan districtactive booleanThe address enables the status , and the current local delivery will only return the status activated address , that is , status is truedistrict_code stringDistrict county codeExample:440111country_code stringCountry codeExample:CNprovince stringProvinceExample:Guangdongcity stringCityExample:Guangzhoucountry stringCountry NameExample:Chinazip stringPostal codeExample:34453town stringStreet town nameExample:New pond townlocation_seq stringAddress codeExample:5431421851439468254create_at stringCreation timeExample:2019-12-18T06:06:24.942Zcity_code stringCity codeExample:440100update_at stringUpdate timeExample:2019-12-18T06:06:24.942Zlocation_name stringAddress nameExample:Upper storepriority integerAddress priorityExample:1phone stringPhone numberExample:18520474762town_code stringStreet townExample:200031address2 stringDetailed address 2Example:Zhihuiyuan b ;
API Explorer
Debugger
Was this article helpful to you?